Data Infrastructure Management Software Discussions

Highlighted

Just getting started, could use some input

I'm new to netapp and azure so please, bear with me. I follow these instructions to get NetApp in my Azure cloud. I created a volume share using the oncommand cloud manager. However, when I try to mount it, I get these errors. I also followed NetApps guide but I clearly missed something when it comes to permissions. 

 

mount.nfs: timeout set for Tue Apr  3 01:09:30 2018

mount.nfs: trying text-based options 'rsize=1048576,wsize=1048576,hard,intr,timeo=600,retrans=2,vers=4,addr=10.1.0.7,clientaddr=10.0.0.4'

mount.nfs: mount(2): Protocol not supported

mount.nfs: trying text-based options 'rsize=1048576,wsize=1048576,hard,intr,timeo=600,retrans=2,addr=10.1.0.7'

mount.nfs: prog 100003, trying vers=3, prot=6

mount.nfs: trying 10.1.0.7 prog 100003 vers 3 prot TCP port 2049

mount.nfs: prog 100005, trying vers=3, prot=17

mount.nfs: trying 10.1.0.7 prog 100005 vers 3 prot UDP port 635

mount.nfs: mount(2): Permission denied

mount.nfs: access denied by server while mounting 10.1.0.7:/myfileshare

 

nfs-commons are on the client, I don't know where on the nfs server I would make changes. The command line for the netapp nfs server is foriegn to me. NFS ports are opened. 

I also ran on the client

 

showmount -e 10.1.0.7
Export list for 10.1.0.7:
/myfileshare (everyone)
/ (everyone)

 

Any and all help is appreaciated. 

2 REPLIES 2
Highlighted

Re: Just getting started, could use some input

Hi,

 

can you tell which mount command you are using on your (I suppose Linux) client?

It's probably something like 

# mount <-o <options> 10.1.0.7:/myfileshare /<mount point> 

where mount point is an empty directory on your linux box.

 

The error message "Protocol not supported" indicates that the Mount Protocol version that you are using on the client 

(rsize=1048576,wsize=1048576,hard,intr,timeo=600,retrans=2,vers=4,addr=10.1.0.7,clientaddr=10.0.0.4)

 

is not enabled in ONTAP. I've attached a screenshot that shows that for me on my demo system, version 3 is enabled while version 4 and version 4.1 is disabled. 

If you want to use NFS version 4 (as shown in your mount options) , then this version needs to be enabled in ONTAP as well.

 

I hope this makes sense.

 

Thanks,

Florian

Highlighted

Re: Just getting started, could use some input

Hi! I am also facing similar issue, for the vserver I see the version 4 of nfs is enabled on my end though.

any other suggestion if still user is not able to mount the volume?

Check out the KB!
Knowledge Base
All Community Forums